#Stefan Brandl | s-brandl.com
#Importe und Festlegungen von Variablen
from turtle import *
import csv
speed(11)
hideturtle()
maxNeuinfizierte=0
maxTag=0
maxTodesfälle=0
maxTodesTag=0

#Koordinatensystem zeichnen (inklusive zweiter Skalierung für Todesfälle)
Maßstab=25
MaßstabTodes=1
def Koordinatensystem():
    penup()
    goto(0,0)
    setheading(0)
    pendown()
    forward(365)
    penup()
    shape("arrow")
    setheading(90)
    goto(0,0)
    pendown()
    forward(370)
    stamp()
    penup()
    for a in range(0, 365, 30):
        goto(a,10)
        pendown()
        goto(a,-10)
        penup()
        goto(a-10, -30)
        write(a)
    for a in range(0, 370, 50):
        goto(10, a)
        pendown()
        goto(-10, a)
        penup()
        goto(-30, a-10)
        write(a*Maßstab)
        penup()
        goto(-30, a-20)
        color("red")
        write(a*MaßstabTodes)
        color("black")
    penup()
    

#Daten aus Datei einlesen und in Liste bereitstellen
def datenAusDateiLesen(filename):
    data = []
    with open(filename, 'r') as file:
        reader = csv.reader(file)
        for row in reader:
            value = float(row[0])  # Konvertiere den Wert in eine Zahl (float)
            data.append(value)
    return data
neuinfizierteProTag = datenAusDateiLesen("43-8-Corona_NeuinfizierteProTag2020.csv")
todesfälleProTag = datenAusDateiLesen("43-8-Corona_TodesfaelleProTag2020.csv")

#Programm
Koordinatensystem()
goto(0,0)
for index in range(len(neuinfizierteProTag)): #Schleife läuft für alle Einträge in Liste
    #Nummerierung des Tages hochzählen
    ...
    #Einlesen des jeweiligen Wertes aus der Liste
    ...
    #Einzeichnen zum Beispiel mit goto; Koordinaten Tag und jeweiliger Wert; Maßstab berücksichtigen!
    ...
    
#Unter Umständen ist Festlegung von benutzten Variablen notwendig (siehe oben)

